'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Configuration = require('./lib/Configuration');

var _Configuration2 = _interopRequireDefault(_Configuration);

var _KeyEventManager = require('./lib/KeyEventManager');

var _KeyEventManager2 = _interopRequireDefault(_KeyEventManager);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var GlobalHotKeys = function (_Component) {
  _inherits(GlobalHotKeys, _Component);

  function GlobalHotKeys() {
    _classCallCheck(this, GlobalHotKeys);

    return _possibleConstructorReturn(this, (GlobalHotKeys.__proto__ || Object.getPrototypeOf(GlobalHotKeys)).apply(this, arguments));
  }

  _createClass(GlobalHotKeys, [{
    key: 'render',
    value: function render() {
      return this.props.children || null;
    }
  }, {
    key: 'componentDidUpdate',
    value: function componentDidUpdate() {
      if (this.props.allowChanges || !_Configuration2.default.option('ignoreKeymapAndHandlerChangesByDefault')) {
        var _props = this.props,
            keyMap = _props.keyMap,
            handlers = _props.handlers;
        /**
         * Component defines global hotkeys, so any changes to props may have changes
         * that should have immediate effect
         */

        _KeyEventManager2.default.getInstance().updateGlobalHotKeys(this._id, keyMap, handlers, this._getComponentOptions(), this._getEventOptions());
      }
    }
  }, {
    key: 'componentDidMount',
    value: function componentDidMount() {
      var _props2 = this.props,
          keyMap = _props2.keyMap,
          handlers = _props2.handlers;


      this._id = _KeyEventManager2.default.getInstance().addGlobalHotKeys(keyMap, handlers, this._getComponentOptions(), this._getEventOptions());
    }
  }, {
    key: 'componentWillUnmount',
    value: function componentWillUnmount() {
      _KeyEventManager2.default.getInstance().removeGlobalHotKeys(this._id);
    }
  }, {
    key: '_getComponentOptions',
    value: function _getComponentOptions() {
      return {
        defaultKeyEvent: _Configuration2.default.option('defaultKeyEvent')
      };
    }
  }, {
    key: '_getEventOptions',
    value: function _getEventOptions() {
      return {
        ignoreEventsCondition: _Configuration2.default.option('ignoreEventsCondition')
      };
    }
  }]);

  return GlobalHotKeys;
}(_react.Component);

GlobalHotKeys.propTypes = {
  /**
   * A map from action names to Mousetrap or Browser key sequences
   * @type {KeyMap}
   */
  keyMap: _propTypes2.default.object,

  /**
   * A map from action names to event handler functions
   * @typedef {Object<ActionName, Function>} HandlersMap
   */

  /**
   * A map from action names to event handler functions
   * @type {HandlersMap}
   */
  handlers: _propTypes2.default.object,

  /**
   * Function to call when this component gains focus in the browser
   * @type {Function}
   */
  onFocus: _propTypes2.default.func,

  /**
   * Function to call when this component loses focus in the browser
   * @type {Function}
   */
  onBlur: _propTypes2.default.func,

  /**
   * Whether the keyMap or handlers are permitted to change after the
   * component mounts. If false, changes to the keyMap and handlers
   * props will be ignored
   */
  allowChanges: _propTypes2.default.bool
};
exports.default = GlobalHotKeys;