'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _KeysWithoutPressEventDictionary = require('../../const/KeysWithoutPressEventDictionary');

var _KeysWithoutPressEventDictionary2 = _interopRequireDefault(_KeysWithoutPressEventDictionary);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Whether the specified key name is for a key that has a native keypress event
 * @param {NormalizedKeyName} keyName Name of the key
 * @returns {Boolean} Whether the key has a native keypress event
 */
function hasKeyPressEvent(keyName) {
  return !_KeysWithoutPressEventDictionary2.default[keyName];
}

exports.default = hasKeyPressEvent;