'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _isUndefined = require('../../utils/isUndefined');

var _isUndefined2 = _interopRequireDefault(_isUndefined);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Returns whether the specified component's focus tree ID indicates it is a focus-only
 * HotKeys component, or not
 * @param {FocusTreeId} focusTreeId The focus tree id for the component
 * @returns {Boolean} Whether the HotKeys component is focus-only
 */
function isFromFocusOnlyComponent(focusTreeId) {
  return !(0, _isUndefined2.default)(focusTreeId);
}

exports.default = isFromFocusOnlyComponent;