'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _AltShiftedKeysDictionary = require('../../const/AltShiftedKeysDictionary');

var _AltShiftedKeysDictionary2 = _interopRequireDefault(_AltShiftedKeysDictionary);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Returns the corresponding symbol or character for a particular key, when it is
 * pressed with the alt and shift keys also held down
 * @param {NormalizedKeyName} keyName Name of the key
 * @returns {ReactKeyName[]} Symbol or character for the key, when it is pressed with the
 *          alt and shit keys
 */
function resolveAltShiftedAlias(keyName) {
  return _AltShiftedKeysDictionary2.default[keyName] || [keyName];
}

exports.default = resolveAltShiftedAlias;