'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _KeyAliasesDictionary = require('../../const/KeyAliasesDictionary');

var _KeyAliasesDictionary2 = _interopRequireDefault(_KeyAliasesDictionary);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Returns a list of accepted aliases for the specified key
 * @param {NormalizedKeyName} keyName Name of the key
 * @returns {ReactKeyName[]} List of key aliases
 */
function resolveKeyAlias(keyName) {
  return _KeyAliasesDictionary2.default[keyName] || [keyName];
}

exports.default = resolveKeyAlias;