'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _UnaltShiftedKeysDictionary = require('../../const/reverse-dictionaries/UnaltShiftedKeysDictionary');

var _UnaltShiftedKeysDictionary2 = _interopRequireDefault(_UnaltShiftedKeysDictionary);

var _resolveUnshiftedAlias = require('./resolveUnshiftedAlias');

var _resolveUnshiftedAlias2 = _interopRequireDefault(_resolveUnshiftedAlias);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Returns the name of the key that must be pressed with the shift and alt keys,
 * to yield the specified symbol
 * @param {ReactKeyName} keyName Name of the key
 * @returns {ReactKeyName[]} Name of the key that must be pressed with the alt key, to
 *          yield the specified symbol
 */
function resolveUnaltShiftedAlias(keyName) {
  return _UnaltShiftedKeysDictionary2.default[keyName] || (0, _resolveUnshiftedAlias2.default)(keyName);
}

exports.default = resolveUnaltShiftedAlias;