'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _UnaltedKeysDictionary = require('../../const/reverse-dictionaries/UnaltedKeysDictionary');

var _UnaltedKeysDictionary2 = _interopRequireDefault(_UnaltedKeysDictionary);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Returns the name of the key that must be pressed with the alt key, to yield the
 * specified symbol
 * @param {ReactKeyName} keyName Name of the key
 * @returns {ReactKeyName[]} Name of the key that must be pressed with the alt key, to
 *          yield the specified symbol
 */
function resolveUnaltedAlias(keyName) {
  return _UnaltedKeysDictionary2.default[keyName] || [keyName];
}

exports.default = resolveUnaltedAlias;