'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _UnshiftedKeysDictionary = require('../../const/reverse-dictionaries/UnshiftedKeysDictionary');

var _UnshiftedKeysDictionary2 = _interopRequireDefault(_UnshiftedKeysDictionary);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Returns the name of the key that must be pressed with the shift key, to yield the
 * specified symbol
 * @param {NormalizedKeyName} keyName Name of the key
 * @returns {ReactKeyName[]} Name of the key that must be pressed with the shift key, to
 *          yield the specified symbol
 */
function resolveUnshiftedAlias(keyName) {
  return _UnshiftedKeysDictionary2.default[keyName] || [keyName.length === 1 ? keyName.toLowerCase() : keyName];
}

exports.default = resolveUnshiftedAlias;