'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _isObject = require('../object/isObject');

var _isObject2 = _interopRequireDefault(_isObject);

var _hasKey = require('../object/hasKey');

var _hasKey2 = _interopRequireDefault(_hasKey);

var _isString = require('../string/isString');

var _isString2 = _interopRequireDefault(_isString);

var _isUndefined = require('../isUndefined');

var _isUndefined2 = _interopRequireDefault(_isUndefined);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function contains(collection, item) {
  var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};

  if (Array.isArray(collection) || (0, _isString2.default)(collection)) {
    if (options.stringifyFirst) {

      return !(0, _isUndefined2.default)(collection.find(function (collectionItem) {
        return collectionItem.toString() === item.toString();
      }));
    } else {
      return collection.indexOf(item) !== -1;
    }
  } else if ((0, _isObject2.default)(collection)) {
    return (0, _hasKey2.default)(collection, item);
  } else {
    if (options.stringifyFirst) {
      return collection.toString() === item.toString();
    } else {
      return collection === item;
    }
  }
}

exports.default = contains;