'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _dictionaryFrom = require('../object/dictionaryFrom');

var _dictionaryFrom2 = _interopRequireDefault(_dictionaryFrom);

var _arrayFrom = require('../array/arrayFrom');

var _arrayFrom2 = _interopRequireDefault(_arrayFrom);

var _isObject = require('../object/isObject');

var _isObject2 = _interopRequireDefault(_isObject);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function without(target) {
  var attributesToOmit = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];
  var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};

  var omitDict = (0, _dictionaryFrom2.default)((0, _arrayFrom2.default)(attributesToOmit));

  if (Array.isArray(target)) {
    return target.reduce(function (memo, element) {
      if (!(omitDict[element] && (options.stringifyFirst || omitDict[element].value === element))) {
        memo.push(element);
      }

      return memo;
    }, []);
  } else if ((0, _isObject2.default)(target)) {
    return Object.keys(target).reduce(function (memo, key) {
      if (!omitDict[key]) {
        memo[key] = target[key];
      }

      return memo;
    }, {});
  } else {
    return target;
  }
}

exports.default = without;