'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _hasKey = require('./object/hasKey');

var _hasKey2 = _interopRequireDefault(_hasKey);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function invertArrayDictionary(dictionary) {
  return Object.keys(dictionary).reduce(function (memo, unshiftedKey) {
    var arrayValue = dictionary[unshiftedKey];

    arrayValue.forEach(function (shiftedKey) {
      if (!(0, _hasKey2.default)(memo, shiftedKey)) {
        memo[shiftedKey] = [];
      }

      memo[shiftedKey].push(unshiftedKey);
    });

    return memo;
  }, {});
}

exports.default = invertArrayDictionary;