/**
 * ISC License
 *
 * Copyright (c) 2018, Aleck Greenham
 *
 * Permission to use, copy, modify, and/or distribute this software for any purpose with or without fee is hereby granted, provided that the above copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * PLEASE NOTE: SOURCE CODE FOUND IN THE lib/vendor DIRECTORY IS UNDER THE MIT LICENSE - PLEASE SEE THE LICENSE FILE FOR EACH DIRECTORY FOR MORE INFORMATION
 */

"use strict";function _interopDefault(e){return e&&"object"==typeof e&&"default"in e?e.default:e}Object.defineProperty(exports,"__esModule",{value:!0});var PropTypes=_interopDefault(require("prop-types")),React=require("react"),React__default=_interopDefault(React);function dictionaryFrom(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null;return e.reduce(function(e,n){return e[n]=t||{value:n},e},{})}var _typeof="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},classCallCheck=function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")},createClass=function(){function e(e,t){for(var n=0;n<t.length;n++){var o=t[n];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(e,o.key,o)}}return function(t,n,o){return n&&e(t.prototype,n),o&&e(t,o),t}}(),defineProperty=function(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e},_extends=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var o in n)Object.prototype.hasOwnProperty.call(n,o)&&(e[o]=n[o])}return e},get=function e(t,n,o){null===t&&(t=Function.prototype);var i=Object.getOwnPropertyDescriptor(t,n);if(void 0===i){var r=Object.getPrototypeOf(t);return null===r?void 0:e(r,n,o)}if("value"in i)return i.value;var a=i.get;return void 0!==a?a.call(o):void 0},inherits=function(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)},objectWithoutProperties=function(e,t){var n={};for(var o in e)t.indexOf(o)>=0||Object.prototype.hasOwnProperty.call(e,o)&&(n[o]=e[o]);return n},possibleConstructorReturn=function(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t},slicedToArray=function(){return function(e,t){if(Array.isArray(e))return e;if(Symbol.iterator in Object(e))return function(e,t){var n=[],o=!0,i=!1,r=void 0;try{for(var a,s=e[Symbol.iterator]();!(o=(a=s.next()).done)&&(n.push(a.value),!t||n.length!==t);o=!0);}catch(e){i=!0,r=e}finally{try{!o&&s.return&&s.return()}finally{if(i)throw r}}return n}(e,t);throw new TypeError("Invalid attempt to destructure non-iterable instance")}}(),toConsumableArray=function(e){if(Array.isArray(e)){for(var t=0,n=Array(e.length);t<e.length;t++)n[t]=e[t];return n}return Array.from(e)},_defaultConfiguration={logLevel:"warn",defaultKeyEvent:"keydown",defaultComponent:"div",defaultTabIndex:"-1",ignoreTags:["input","select","textarea"],enableHardSequences:!1,ignoreKeymapAndHandlerChangesByDefault:!0,ignoreEventsCondition:function(e){var t=e.target;if(t&&t.tagName){var n=t.tagName.toLowerCase();return Configuration.option("_ignoreTagsDict")[n]||t.isContentEditable}return!1},simulateMissingKeyPressEvents:!0,stopEventPropagationAfterHandling:!0,stopEventPropagationAfterIgnoring:!0},_configuration=_extends({},_defaultConfiguration);_configuration._ignoreTagsDict=dictionaryFrom(_configuration.ignoreTags,!0);var Configuration=function(){function e(){classCallCheck(this,e)}return createClass(e,null,[{key:"init",value:function(e){var t=this;e.ignoreTags&&(e._ignoreTagsDict=dictionaryFrom(e.ignoreTags)),-1!==["verbose","debug","info"].indexOf(e.logLevel)&&console.warn("React HotKeys: You have requested log level '"+e.logLevel+"' but for performance reasons, logging below severity level 'warning' is disabled in production. Please use the development build for complete logs."),Object.keys(e).forEach(function(n){t.set(n,e[n])})}},{key:"set",value:function(e,t){_configuration[e]=t}},{key:"reset",value:function(e){_configuration[e]=_defaultConfiguration[e]}},{key:"option",value:function(e){return _configuration[e]}}]),e}(),Logger=function(){function e(){var t=this,n=arguments.length>0&&void 0!==arguments[0]?arguments[0]:"warn";classCallCheck(this,e),this.verbose=this.noop,this.debug=this.noop,this.info=this.noop,this.warn=this.noop,this.error=this.noop,this.logLevel=this.constructor.levels[n],this.logLevel>=this.constructor.levels.error&&(this.error=console.error,this.logLevel>=this.constructor.levels.warn&&(this.warn=console.warn,["info","debug","verbose"].some(function(e){return!(t.logLevel>=t.constructor.levels[e])||(t[e]=console.log,!1)})))}return createClass(e,[{key:"noop",value:function(){}}]),e}();function isUndefined(e){return void 0===e}Logger.logIcons=["📕","📗","📘","📙"],Logger.componentIcons=["🔺","⭐️","🔷","🔶","⬛️"],Logger.eventIcons=["❤️","💚","💙","💛","💜","🧡"],Logger.levels={none:0,error:1,warn:2,info:3,debug:4,verbose:5};var KeyEventBitmapManager=function(){function e(){classCallCheck(this,e)}return createClass(e,null,[{key:"newBitmap",value:function(e){var t=[!1,!1,!1];if(!isUndefined(e))for(var n=0;n<=e;n++)t[n]=!0;return t}},{key:"setBit",value:function(e,t){return e[t]=!0,e}},{key:"clone",value:function(e){for(var t=this.newBitmap(),n=0;n<e.length;n++)t[n]=e[n];return t}},{key:"and",value:function(e,t){for(var n=[],o=0;o<e.length;o++)n[o]=e[o]&t[o];return n}}]),e}(),KeyEventBitmapIndex={keydown:0,keypress:1,keyup:2},ShiftedKeysDictionary={"`":["~"],1:["!"],2:["@",'"'],3:["#","£"],4:["$"],5:["%"],6:["^"],7:["&"],8:["*"],9:["("],0:[")"],"-":["_"],"=":["plus"],";":[":"],"'":['"',"@"],",":["<"],".":[">"],"/":["?"],"\\":["|"],"[":["{"],"]":["}"],"#":["~"]};function resolveShiftedAlias(e){return ShiftedKeysDictionary[e]||[1===e.length?e.toUpperCase():e]}function hasKey(e,t){return e.hasOwnProperty(t)}function invertArrayDictionary(e){return Object.keys(e).reduce(function(t,n){return e[n].forEach(function(e){hasKey(t,e)||(t[e]=[]),t[e].push(n)}),t},{})}var UnshiftedKeysDictionary=invertArrayDictionary(ShiftedKeysDictionary);function resolveUnshiftedAlias(e){return UnshiftedKeysDictionary[e]||[1===e.length?e.toLowerCase():e]}var KeyAliasesDictionary={Backspace:["Delete"]};function isString(e){return"string"==typeof e}function stripSuperfluousWhitespace(e){return isString(e)?e.trim().replace(/\s+/g," "):e}var MousetrapToReactKeyNamesDictionary={tab:"Tab",capslock:"CapsLock",shift:"Shift",meta:"Meta",alt:"Alt",ctrl:"Control",space:" ",spacebar:" ",escape:"Escape",esc:"Escape",left:"ArrowLeft",right:"ArrowRight",up:"ArrowUp",down:"ArrowDown",return:"Enter",del:"Backspace",command:"Meta",option:"Alt",enter:"Enter",backspace:"Backspace",ins:"Insert",pageup:"PageUp",pagedown:"PageDown",end:"End",home:"Home",contextmenu:"ContextMenu",numlock:"Clear"};function standardizeKeyName(e){return MousetrapToReactKeyNamesDictionary[e.toLowerCase()]||(e.match(/^f\d+$/)?e.toUpperCase():e)}var SpecialKeysDictionary={Shift:!0,Control:!0,Alt:!0,Meta:!0,Enter:!0,Tab:!0,CapsLock:!0,BackSpace:!0};function isSpecialKey(e){return!!SpecialKeysDictionary[e]}function isValidKey(e){return isSpecialKey(e)||String.fromCharCode(e.charCodeAt(0))===e}var InvalidKeyNameError=function(e){function t(){return classCallCheck(this,t),possibleConstructorReturn(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return inherits(t,e),t}(Error);function normalizedCombinationId(e){return e.sort().join("+")}var KeySequenceParser=function(){function e(){classCallCheck(this,e)}return createClass(e,null,[{key:"parse",value:function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=stripSuperfluousWhitespace(e).split(" ");try{var o=n.slice(0,n.length-1),i=n[n.length-1],r=o.map(function(e){var n=parseCombination(e,t);return normalizedCombinationId(Object.keys(n))}).join(" "),a=parseCombination(i,t),s={id:normalizedCombinationId(Object.keys(a)),keyDictionary:a,eventBitmapIndex:t.eventBitmapIndex,size:Object.keys(a).length};return{sequence:{prefix:r,size:o.length+1},combination:s}}catch(e){return{sequence:null,combination:null}}}}]),e}();function parseCombination(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};return e.replace(/^\+|(\s|[^+]\+)\+/,"$1plus").split("+").reduce(function(e,n){var o=standardizeKeyName(n);if(t.ensureValidKeys&&!isValidKey(o))throw new InvalidKeyNameError;return e[o]=!0,e},{})}var AltedKeysDictionary={"`":["`"],1:["¡"],2:["™"],3:["£"],4:["¢"],5:["∞"],6:["§"],7:["¶"],8:["•"],9:["ª"],0:["º"],"-":["–"],"=":["≠"],a:["å"],b:["∫"],c:["ç"],d:["∂"],e:["´"],f:["ƒ"],g:["©"],h:["˙"],i:["ˆ"],j:["∆"],k:["˚"],l:["¬"],m:["µ"],n:["˜"],o:["ø"],p:["π"],q:["œ"],r:["®"],s:["ß"],t:["†"],u:["¨"],v:["√"],w:["∑"],x:["≈"],y:["¥"],z:["Ω"],"[":["“"],"]":["‘"],"\\":["«"],"'":["æ"],";":["…"],",":["≤"],".":["≥"],"/":["÷"]},UnaltedKeysDictionary=invertArrayDictionary(AltedKeysDictionary);function resolveUnaltedAlias(e){return UnaltedKeysDictionary[e]||[e]}function resolveAltedAlias(e){return AltedKeysDictionary[e]||[e]}var AltShiftedKeysDictionary={"`":["`"],1:["⁄"],2:["€"],3:["‹"],4:["›"],5:["ﬁ"],6:["ﬂ"],7:["‡"],8:["°"],9:["·"],0:["‚"],"-":["—"],"=":["±"],a:["Å"],b:["ı"],c:["Ç"],d:["Î"],e:["´"],f:["Ï"],g:["˝"],h:["Ó"],i:["ˆ"],j:["Ô"],k:[""],l:["Ò"],m:["Â"],n:["˜"],o:["Ø"],p:["π"],q:["Œ"],r:["‰"],s:["Í"],t:["Î"],u:["¨"],v:["◊"],w:["„"],x:["˛"],y:["Á"],z:["¸"],"[":["”"],"]":["’"],"\\":["»"],"'":["Æ"],";":["Ú"],",":["¯"],".":["˘"]},UnaltShiftedKeysDictionary=invertArrayDictionary(AltShiftedKeysDictionary);function resolveUnaltShiftedAlias(e){return UnaltShiftedKeysDictionary[e]||resolveUnshiftedAlias(e)}function resolveAltShiftedAlias(e){return AltShiftedKeysDictionary[e]||[e]}var KeyCombinationSerializer=function(){function e(){classCallCheck(this,e)}return createClass(e,null,[{key:"serialize",value:function(e){var t=e.Shift,n=e.Alt,o={};return Object.keys(e).sort().forEach(function(e){var i=[];if(t)if(n){var r=resolveUnaltShiftedAlias(e),a=resolveAltShiftedAlias(e);i=[].concat(toConsumableArray(i),[e],toConsumableArray(r),toConsumableArray(a))}else{var s=resolveUnshiftedAlias(e),u=resolveShiftedAlias(e);i=[].concat(toConsumableArray(i),[e],toConsumableArray(s),toConsumableArray(u))}else if(n){var l=resolveUnaltedAlias(e),c=resolveAltedAlias(e);i=[].concat(toConsumableArray(i),[e],toConsumableArray(l),toConsumableArray(c))}else{i.push(e);var y=KeyAliasesDictionary[e];y&&(i=[].concat(toConsumableArray(i),toConsumableArray(y)))}var h=Object.keys(o);h.length>0?h.forEach(function(e){i.forEach(function(t){o[e+"+"+t]=_extends({},o[e],defineProperty({},t,!0))}),delete o[e]}):i.forEach(function(e){o[e]=defineProperty({},e,!0)})}),Object.values(o).map(function(e){return Object.keys(e).sort().join("+")})}},{key:"isValidKeySerialization",value:function(e){return e.length>0&&!!KeySequenceParser.parse(e,{ensureValidKeys:!0}).combination}}]),e}();function arrayFrom(e){return Array.isArray(e)?e:e?[e]:[]}function indexFromEnd(e,t){return e[e.length-(t+1)]}function isObject(e){return!Array.isArray(e)&&"object"===(void 0===e?"undefined":_typeof(e))&&null!==e}function isEmpty(e){return isObject(e)?0===Object.keys(e).length:!e||0===e.length}function describeKeyEvent(e){switch(parseInt(e,10)){case 0:return"keydown";case 1:return"keypress";default:return"keyup"}}var KeyEventSequenceIndex={previous:0,current:1};function resolveKeyAlias(e){return KeyAliasesDictionary[e]||[e]}for(var ModifierFlagsDictionary={Shift:["shiftKey"],Meta:["metaKey"],Control:["ctrlKey"],Alt:["altKey"]},AbstractKeyEventStrategy=function(){function e(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},n=arguments[1];classCallCheck(this,e),this.logger=t.logger||new Logger("warn"),this.componentId=0,this.keyEventManager=n,this._reset(),this._resetKeyCombinationHistory()}return createClass(e,[{key:"_reset",value:function(){this._resetRegisteredKeyMapsState(),this._resetHandlerResolutionState()}},{key:"_resetRegisteredKeyMapsState",value:function(){this.componentList=[],this.longestSequence=1,this.longestSequenceComponentIndex=null,this.keyMapEventBitmap=KeyEventBitmapManager.newBitmap()}},{key:"_resetHandlerResolutionState",value:function(){this.keyMaps=null,this.handlerResolutionSearchIndex=0,this.unmatchedHandlerStatus=null,this.handlersDictionary={},this.keySequencesDictionary={}}},{key:"_resetKeyCombinationHistory",value:function(){if(this.keyCombinationIncludesKeyUp=!1,this.keypressEventsToSimulate=[],!this.keyCombinationHistory||this.keyCombinationHistory.length<1)this.keyCombinationHistory=[];else{var e=this._getCurrentKeyCombination(),t=Object.keys(e.keys).reduce(function(t,n){var o=e.keys[n],i=o[KeyEventSequenceIndex.current];return i[KeyEventBitmapIndex.keydown]&&!i[KeyEventBitmapIndex.keyup]&&(t[n]=o),t},{});this.keyCombinationHistory=[{keys:t,ids:KeyCombinationSerializer.serialize(t)}]}}},{key:"_addComponentToList",value:function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},o=arguments[3],i=this._buildComponentOptions(e,t,n,o);return this.componentList.push(i),i}},{key:"_buildComponentOptions",value:function(e,t,n,o){var i=this._applyHardSequences(t,n),r=i.keyMap,a=i.handlers;return{actions:this._buildActionDictionary(_extends({},t,r),o,e),handlers:a,componentId:e,options:o}}},{key:"_applyHardSequences",value:function(e,t){return Configuration.option("enableHardSequences")?Object.keys(t).reduce(function(n,o){return!!!e[o]&&KeyCombinationSerializer.isValidKeySerialization(o)&&(n.keyMap[o]=o),n.handlers[o]=t[o],n},{keyMap:{},handlers:{}}):{keyMap:e,handlers:t}}},{key:"_buildActionDictionary",value:function(e,t,n){var o=this;return Object.keys(e).reduce(function(i,r){return arrayFrom(e[r]).forEach(function(e){var a=function(){if(isObject(e)){var n=e.sequence,o=e.action;return{keySequence:n,eventBitmapIndex:isUndefined(o)?KeyEventBitmapIndex[t.defaultKeyEvent]:KeyEventBitmapIndex[o]}}return{keySequence:e,eventBitmapIndex:KeyEventBitmapIndex[t.defaultKeyEvent]}}(),s=a.keySequence,u=a.eventBitmapIndex,l=KeySequenceParser.parse(s,{eventBitmapIndex:u}),c=l.sequence,y=l.combination;c.size>o.longestSequence&&(o.longestSequence=c.size,o.longestSequenceComponentIndex=n),KeyEventBitmapManager.setBit(o.keyMapEventBitmap,u),i[r]||(i[r]=[]),i[r].push(_extends({prefix:c.prefix,actionName:r,sequenceLength:c.size},y))}),i},{})}},{key:"_getCurrentKeyCombination",value:function(){return this.keyCombinationHistory.length>0?this.keyCombinationHistory[this.keyCombinationHistory.length-1]:{keys:{},ids:[""],keyAliases:{}}}},{key:"_addToCurrentKeyCombination",value:function(e,t){0===this.keyCombinationHistory.length&&this.keyCombinationHistory.push({keys:{},ids:[""],keyAliases:{}});var n=this._getCurrentKeyCombination(),o=this._getKeyAlias(n,e),i=this._getKeyState(n,e);n.keys[o]=i?[KeyEventBitmapManager.clone(i[1]),KeyEventBitmapManager.newBitmap(t)]:[KeyEventBitmapManager.newBitmap(),KeyEventBitmapManager.newBitmap(t)],n.ids=KeyCombinationSerializer.serialize(n.keys),n.keyAliases=this._buildCombinationKeyAliases(n.keys),t===KeyEventBitmapIndex.keyup&&(this.keyCombinationIncludesKeyUp=!0)}},{key:"_startNewKeyCombination",value:function(e,t){this.keyCombinationHistory.length>this.longestSequence&&this.keyCombinationHistory.shift();var n=this._getCurrentKeyCombination(),o=_extends({},this._withoutKeyUps(n),defineProperty({},e,[KeyEventBitmapManager.newBitmap(),KeyEventBitmapManager.newBitmap(t)]));this.keyCombinationHistory.push({keys:o,ids:KeyCombinationSerializer.serialize(o),keyAliases:this._buildCombinationKeyAliases(o)}),this.keyCombinationIncludesKeyUp=!1}},{key:"_withoutKeyUps",value:function(e){return Object.keys(e.keys).reduce(function(t,n){var o=e.keys[n];return o[KeyEventSequenceIndex.current][KeyEventBitmapIndex.keyup]||(t[n]=o),t},{})}},{key:"_callMatchingHandlerClosestToEventTarget",value:function(e,t,n,o,i){var r=this;for(this.keyMaps&&this.unmatchedHandlerStatus||(this.keyMaps=[],this.unmatchedHandlerStatus=[],this.componentList.forEach(function(e){var t=e.handlers;r.unmatchedHandlerStatus.push([Object.keys(t).length,{}]),r.keyMaps.push({})}));i<=o;){var a=this.unmatchedHandlerStatus[i][0];if(a>0)for(var s=function(){var e=r.componentList[r.handlerResolutionSearchIndex],t=e.handlers,n=e.actions;Object.keys(t).forEach(function(e){r.handlersDictionary[e]||(r.handlersDictionary[e]=[]),r.handlersDictionary[e].push(r.handlerResolutionSearchIndex)}),Object.keys(n).forEach(function(e){var t=r.handlersDictionary[e];if(t){var o=t[0],i=r.componentList[o].handlers[e],a=r.keyMaps[o];a.sequences||(a.sequences={}),n[e].forEach(function(e){var t=[e.prefix,e.id].join(" ");if(!(r.keySequencesDictionary[t]&&r.keySequencesDictionary[t].some(function(t){return t[1]===e.eventBitmapIndex}))){a.sequences[e.prefix]||(a.sequences[e.prefix]={combinations:{}});var n=e.prefix,s=e.sequenceLength,u=e.id,l=e.keyDictionary,c=e.size,y=e.eventBitmapIndex,h=e.actionName,p=a.sequences[e.prefix].combinations[e.id];a.sequences[e.prefix].combinations[e.id]=p?_extends({},p,{events:_extends({},p.events,defineProperty({},y,{actionName:h,eventBitmapIndex:y,handler:i}))}):{prefix:n,sequenceLength:s,id:u,keyDictionary:l,size:c,events:defineProperty({},y,{actionName:h,eventBitmapIndex:y,handler:i})},a.eventBitmap||(a.eventBitmap=KeyEventBitmapManager.newBitmap()),KeyEventBitmapManager.setBit(a.eventBitmap,e.eventBitmapIndex),(!a.longestSequence||a.longestSequence<e.sequenceLength)&&(a.longestSequence=e.sequenceLength),r.keySequencesDictionary[t]||(r.keySequencesDictionary[t]=[]),r.keySequencesDictionary[t].push([o,e.eventBitmapIndex])}}),t.forEach(function(t){var n=r.unmatchedHandlerStatus[t];n[1][e]||(n[1][e]=!0,n[0]--)})}}),r.handlerResolutionSearchIndex++};this.handlerResolutionSearchIndex<this.componentList.length&&a>0;)s();var u=this.keyMaps[i];if(u&&!isEmpty(u.sequences)&&u.eventBitmap[n])for(var l=u.sequences,c=u.longestSequence,y=this._getCurrentKeyCombination(),h=this._getKeyAlias(y,t),p=c;p>=0;){var d=this.keyCombinationHistory.slice(-p,-1).map(function(e){return e.ids}),v=this._tryMatchSequenceWithKeyAliases(l,d);if(v){v.order||function(){var e=Object.values(v.combinations).reduce(function(e,t){var n=t.id,o=t.size;return e[o]||(e[o]=[]),e[o].push(n),e},{});v.order=Object.keys(e).sort(function(e,t){return t-e}).reduce(function(t,n){return t.concat(e[n])},[])}();for(var f=v.order,g=0;g<f.length;){var m=f[g],_=v.combinations[m];if(this._combinationMatchesKeys(h,y,_,n)){KeyCombinationSerializer.serialize(_.keyDictionary);return _.events[n].handler(e),this._stopEventPropagationAfterHandlingIfEnabled(e,i),!0}g++}}p--}else;i++}}},{key:"_stopEventPropagationAfterHandlingIfEnabled",value:function(e,t){return!!Configuration.option("stopEventPropagationAfterHandling")&&(this._stopEventPropagation(e,t),!0)}},{key:"_stopEventPropagationAfterIgnoringIfEnabled",value:function(e,t){return!!Configuration.option("stopEventPropagationAfterIgnoring")&&(this._stopEventPropagation(e,t),!0)}},{key:"_stopEventPropagation",value:function(e,t){e.stopPropagation()}},{key:"_describeCurrentKeyCombination",value:function(){return this._getCurrentKeyCombination().ids[0]}},{key:"_tryMatchSequenceWithKeyAliases",value:function(e,t){if(0===t.length)return e[""];for(var n=t.map(function(e){return e.length}),o=t.map(function(){return 0}),i=!1;!i;){var r=o.map(function(e,n){return t[n][e]}).join(" ");if(e[r])return e[r];for(var a=0,s=!0;s&&a<o.length;){var u=(indexFromEnd(o,a)+1)%(indexFromEnd(n,a)||1);o[o.length-(a+1)]=u,(s=0===u)&&a++}i=a===o.length}}},{key:"_combinationMatchesKeys",value:function(e,t,n,o){var i=this;if(!n.events[o])return!1;var r=!1;return!Object.keys(n.keyDictionary).some(function(n){var a=i._getKeyState(t,n);return!a||(!i._keyIsCurrentlyTriggeringEvent(a,o)||(e&&e===i._getKeyAlias(t,n)&&(r=!i._keyAlreadyTriggeredEvent(a,o)),!1))})&&r}},{key:"_checkForModifierFlagDiscrepancies",value:function(e){var t=this;Object.keys(ModifierFlagsDictionary).forEach(function(n){var o=t._getCurrentKeyState(n),i=o&&!t._keyIsCurrentlyTriggeringEvent(o,KeyEventBitmapIndex.keyup);ModifierFlagsDictionary[n].forEach(function(o){!1===e[o]&&i&&t._addToCurrentKeyCombination(n,KeyEventBitmapIndex.keyup)})})}},{key:"_keyIsCurrentlyTriggeringEvent",value:function(e,t){return e&&e[KeyEventSequenceIndex.current][t]}},{key:"_keyAlreadyTriggeredEvent",value:function(e,t){return e&&e[KeyEventSequenceIndex.previous][t]}},{key:"_getCurrentKeyState",value:function(e){var t=this._getCurrentKeyCombination();return this._getKeyState(t,e)}},{key:"_getKeyState",value:function(e,t){var n=e.keys[t];if(n)return n;var o=e.keyAliases[t];return o?e.keys[o]:void 0}},{key:"_getKeyAlias",value:function(e,t){if(e.keys[t])return t;var n=e.keyAliases[t];return n||t}},{key:"_buildCombinationKeyAliases",value:function(e){var t=function(){if(e.Shift)return e.Alt?[resolveAltShiftedAlias,resolveUnaltShiftedAlias]:[resolveShiftedAlias,resolveUnshiftedAlias];if(e.Alt)return[resolveAltedAlias,resolveUnaltedAlias];var t=function(e){return[e]};return[t,t]}();return Object.keys(e).reduce(function(e,n){return resolveKeyAlias(n).forEach(function(o){t.forEach(function(t){t(o).forEach(function(t){t===n&&n===o||(e[t]=n)})})}),e},{})}}]),e}(),KeyEventCounter=function(){function e(){classCallCheck(this,e)}return createClass(e,null,[{key:"getId",value:function(){return isUndefined(this.id)&&(this.id=0),this.id}},{key:"incrementId",value:function(){this.id=this.getId()+1}}]),e}(),KeysWithoutPressEventDictionary={Shift:!0,Control:!0,Alt:!0,Meta:!0,Enter:!0,Tab:!0,BackSpace:!0,ArrowRight:!0,ArrowLeft:!0,ArrowUp:!0,ArrowDown:!0,CapsLock:!0},i=1;i<13;i++)KeysWithoutPressEventDictionary["F"+i]=!0;function hasKeyPressEvent(e){return!KeysWithoutPressEventDictionary[e]}function normalizeKeyName(e){return"+"===e?"plus":e}var FocusOnlyKeyEventStrategy=function(e){function t(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},n=arguments[1];classCallCheck(this,t);var o=possibleConstructorReturn(this,(t.__proto__||Object.getPrototypeOf(t)).call(this,e,n));return o.focusTreeId=0,o.currentEvent={key:null,type:null,handled:!1},o}return inherits(t,AbstractKeyEventStrategy),createClass(t,[{key:"_reset",value:function(){get(t.prototype.__proto__||Object.getPrototypeOf(t.prototype),"_reset",this).call(this),this.componentId=0,this.focusTreeId+=1,this._clearEventPropagationState()}},{key:"_clearEventPropagationState",value:function(){this.eventPropagationState={previousComponentIndex:-1,actionHandled:!1,ignoreEvent:!1}}},{key:"addHotKeys",value:function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=arguments[2];return(this.resetOnNextFocus||this.keyMaps)&&(this._reset(),this.resetOnNextFocus=!1),this.componentId=this.componentList.length,this._addComponentToList(this.componentId,e,t,n),[this.focusTreeId,this.componentId]}},{key:"updateHotKeys",value:function(e,t){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},o=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{},i=arguments[4];e===this.focusTreeId&&this.componentList[t]&&(this.componentList[t]=this._buildComponentOptions(t,n,o,i))}},{key:"removeHotKeys",value:function(e,t){return this.resetOnNextFocus||(this.resetOnNextFocus=!0),this.eventPropagationState.previousComponentIndex+1<t}},{key:"handleKeydown",value:function(e,t,n){var o=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{},i=normalizeKeyName(e.key);if(t!==this.focusTreeId)return this._ignoreEvent(e,n),!0;if(this._alreadyEstablishedShouldIgnoreEvent())return this._ignoreEvent(e,n),!1;if(this._isNewKeyEvent(n)){if(this._setNewEventParameters(e,KeyEventBitmapIndex.keydown),this._setIgnoreEventFlag(e,o),this._alreadyEstablishedShouldIgnoreEvent())return this._ignoreEvent(e,n),!1;this._checkForModifierFlagDiscrepancies(e),!!this._getCurrentKeyState(i)||this.keyCombinationIncludesKeyUp?this._startNewKeyCombination(i,KeyEventBitmapIndex.keydown,t,n):this._addToCurrentKeyCombination(i,KeyEventBitmapIndex.keydown,t,n)}return this._callHandlerIfActionNotHandled(e,i,KeyEventBitmapIndex.keydown,n,t),!hasKeyPressEvent(i)&&Configuration.option("simulateMissingKeyPressEvents")&&(e.persist(),this.keypressEventsToSimulate.push({event:e,focusTreeId:t,componentId:n,options:o,key:i})),this._isFocusTreeRoot(n)&&(this.keyEventManager.isGlobalListenersBound()||this.simulatePendingKeyPressEvents(i)),this._updateEventPropagationHistory(n),!1}},{key:"simulatePendingKeyPressEvents",value:function(){var e=this;this.keypressEventsToSimulate.length>0&&KeyEventCounter.incrementId(),this.keypressEventsToSimulate.forEach(function(t){var n=t.event,o=t.focusTreeId,i=t.componentId,r=t.options;e.handleKeypress(n,o,i,r)}),this.keypressEventsToSimulate=[],this._clearEventPropagationState()}},{key:"handleKeypress",value:function(e,t,n,o){var i=normalizeKeyName(e.key);if(t!==this.focusTreeId)return this._ignoreEvent(e,n),!0;if(this._alreadyEstablishedShouldIgnoreEvent())this._ignoreEvent(e,n);else{if(this._isNewKeyEvent(n)){if(this._setNewEventParameters(e,KeyEventBitmapIndex.keypress),this._setIgnoreEventFlag(e,o),this._alreadyEstablishedShouldIgnoreEvent())return void this._ignoreEvent(e,n);var r=this._getCurrentKeyState(i);r&&(r[KeyEventSequenceIndex.current][KeyEventBitmapIndex.keypress]||r[KeyEventSequenceIndex.current][KeyEventBitmapIndex.keyup])?this._startNewKeyCombination(i,KeyEventBitmapIndex.keypres,t,n):this._addToCurrentKeyCombination(i,KeyEventBitmapIndex.keypress,t,n)}this._callHandlerIfActionNotHandled(e,i,KeyEventBitmapIndex.keypress,n,t),this._updateEventPropagationHistory(n)}}},{key:"handleKeyup",value:function(e,t,n,o){var i=normalizeKeyName(e.key);if(t!==this.focusTreeId)return this._ignoreEvent(e,n),!0;if(this._alreadyEstablishedShouldIgnoreEvent())this._ignoreEvent(e,n);else{if(this._isNewKeyEvent(n)){if(this._setNewEventParameters(e,KeyEventBitmapIndex.keyup),this._setIgnoreEventFlag(e,o),this._alreadyEstablishedShouldIgnoreEvent())return void this._ignoreEvent(e,n);var r=this._getCurrentKeyState(i);r&&r[KeyEventSequenceIndex.current][KeyEventBitmapIndex.keyup]?this._startNewKeyCombination(i,KeyEventBitmapIndex.keyup,t,n):this._addToCurrentKeyCombination(i,KeyEventBitmapIndex.keyup,t,n)}this._callHandlerIfActionNotHandled(e,i,KeyEventBitmapIndex.keyup,n,t),this._updateEventPropagationHistory(n)}}},{key:"_ignoreEvent",value:function(e,t){this._stopEventPropagationAfterIgnoringIfEnabled(e,t)?this._updateEventPropagationHistory(t,{forceReset:!0}):this._updateEventPropagationHistory(t)}},{key:"_alreadyEstablishedShouldIgnoreEvent",value:function(){return this.eventPropagationState.ignoreEvent}},{key:"_isNewKeyEvent",value:function(e){var t=this.eventPropagationState.previousComponentIndex;return-1===t||t>=e}},{key:"_updateEventPropagationHistory",value:function(e){(arguments.length>1&&void 0!==arguments[1]?arguments[1]:{forceReset:!1}).forceReset||this._isFocusTreeRoot(e)?this._clearEventPropagationState():this.eventPropagationState.previousComponentIndex=e}},{key:"_setIgnoreEventFlag",value:function(e,t){this.eventPropagationState.ignoreEvent=t.ignoreEventsCondition(e)}},{key:"ignoreEvent",value:function(e){this.eventPropagationState.ignoreEvent=!0}},{key:"_isFocusTreeRoot",value:function(e){return e>=this.componentList.length-1}},{key:"_setNewEventParameters",value:function(e,t){KeyEventCounter.incrementId(),this.currentEvent={key:e.key,type:t,handled:!1}}},{key:"_startNewKeyCombination",value:function(e,n,o,i){get(t.prototype.__proto__||Object.getPrototypeOf(t.prototype),"_startNewKeyCombination",this).call(this,e,n)}},{key:"_addToCurrentKeyCombination",value:function(e,n,o,i){get(t.prototype.__proto__||Object.getPrototypeOf(t.prototype),"_addToCurrentKeyCombination",this).call(this,e,n)}},{key:"_callHandlerIfActionNotHandled",value:function(e,t,n,o,i){this._describeCurrentKeyCombination();if(this.keyMapEventBitmap[n])if(this.eventPropagationState.actionHandled);else{var r=this.eventPropagationState.previousComponentIndex;this._callMatchingHandlerClosestToEventTarget(e,t,n,o,-1===r?0:r)&&(this.eventPropagationState.actionHandled=!0,this.currentEvent.handled=!0)}}},{key:"_logPrefix",value:function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=Logger.logIcons,o=Logger.eventIcons,i=Logger.componentIcons,r="HotKeys (";if(!1!==t.focusTreeId){var a=isUndefined(t.focusTreeId)?this.focusTreeId:t.focusTreeId;r+="FT"+a+n[a%n.length]+"-"}if(!1!==t.eventId){var s=isUndefined(t.eventId)?KeyEventCounter.getId():t.eventId;r+="E"+s+o[s%o.length]+"-"}return r+"C"+e+i[e%i.length]+"):"}}]),t}();function capitalize(e){return e.replace(/\b\w/g,function(e){return e.toUpperCase()})}function removeAtIndex(e,t){return[].concat(toConsumableArray(e.slice(0,t)),toConsumableArray(e.slice(t+1)))}function getEventCharCode(e){var t=void 0,n=e.keyCode;return"charCode"in e?0===(t=e.charCode)&&13===n&&(t=13):t=n,10===t&&(t=13),t>=32||13===t?t:0}var normalizeKey={Esc:"Escape",Spacebar:" ",Left:"ArrowLeft",Up:"ArrowUp",Right:"ArrowRight",Down:"ArrowDown",Del:"Delete",Win:"OS",Menu:"ContextMenu",Apps:"ContextMenu",Scroll:"ScrollLock",MozPrintableKey:"Unidentified"},translateToKey={8:"Backspace",9:"Tab",12:"Clear",13:"Enter",16:"Shift",17:"Control",18:"Alt",19:"Pause",20:"CapsLock",27:"Escape",32:" ",33:"PageUp",34:"PageDown",35:"End",36:"Home",37:"ArrowLeft",38:"ArrowUp",39:"ArrowRight",40:"ArrowDown",45:"Insert",46:"Delete",112:"F1",113:"F2",114:"F3",115:"F4",116:"F5",117:"F6",118:"F7",119:"F8",120:"F9",121:"F10",122:"F11",123:"F12",144:"NumLock",145:"ScrollLock",224:"Meta"};function getEventKey(e){if(e.key){var t=normalizeKey[e.key]||e.key;if("Unidentified"!==t)return t}if("keypress"===e.type){var n=getEventCharCode(e);return 13===n?"Enter":String.fromCharCode(n)}return"keydown"===e.type||"keyup"===e.type?translateToKey[e.keyCode]||"Unidentified":""}var GlobalKeyEventStrategy=function(e){function t(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},n=arguments[1];classCallCheck(this,t);var o=possibleConstructorReturn(this,(t.__proto__||Object.getPrototypeOf(t)).call(this,e,n));return o.componentId=-1,o.listenersBound=!1,o.eventOptions={ignoreEventsCondition:Configuration.option("ignoreEventsCondition")},o}return inherits(t,AbstractKeyEventStrategy),createClass(t,[{key:"_reset",value:function(){get(t.prototype.__proto__||Object.getPrototypeOf(t.prototype),"_reset",this).call(this),this.componentIdDict={}}},{key:"addHotKeys",value:function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=arguments[2],o=arguments[3];return this.eventOptions=o,this.componentId+=1,this._addComponentToList(this.componentId,e,t,n),this._updateDocumentHandlers(),this.componentId}},{key:"updateHotKeys",value:function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},o=arguments[3],i=arguments[4];this.eventOptions=i;var r=this._getComponentPosition(e);this.componentList[r]=this._buildComponentOptions(e,t,n,o),this._updateLongestKeySequenceIfNecessary(e),this._updateDocumentHandlers(),this._resetHandlerResolutionState()}},{key:"removeHotKeys",value:function(e){var t=this._getComponentAndPosition(e),n=slicedToArray(t,2),o=n[0].keyMapEventBitmap,i=n[1];this.componentList=removeAtIndex(this.componentList,i),this._updateLongestKeySequenceIfNecessary(e),this._updateComponentIndexDictFromList({startingAt:i}),this._updateDocumentHandlers(o,KeyEventBitmapManager.newBitmap()),this._resetHandlerResolutionState()}},{key:"_addComponentToList",value:function(e){var n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},o=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},i=arguments[3];get(t.prototype.__proto__||Object.getPrototypeOf(t.prototype),"_addComponentToList",this).call(this,e,n,o,i),this._setComponentPosition(e,this.componentList.length-1)}},{key:"_setComponentPosition",value:function(e,t){this.componentIdDict[e]=t}},{key:"_updateLongestKeySequenceIfNecessary",value:function(e){var t=this;e===this.longestSequenceComponentIndex&&(this.longestSequence=1,this.componentList.forEach(function(e){var n=e.longestSequence;n>t.longestSequence&&(t.longestSequence=n)}))}},{key:"_updateComponentIndexDictFromList",value:function(){for(var e=(arguments.length>0&&void 0!==arguments[0]?arguments[0]:{startingAt:0}).startAt;e<this.componentList.length;)this._setComponentPosition(this.componentList[e].componentId,e)}},{key:"_updateDocumentHandlers",value:function(){var e=this,t=this.keyMapEventBitmap.some(function(e){return e});if(!this.listenersBound&&t){for(var n=function(t){var n=describeKeyEvent(t);document["on"+n]=function(t){e.keyEventManager["handleGlobal"+capitalize(n)](t)}},o=0;o<this.keyMapEventBitmap.length;o++)n(o);this.listenersBound=!0}else if(this.listenersBound&&!t){for(o=0;o<this.keyMapEventBitmap.length;o++){var i=describeKeyEvent(o);delete document["on"+i]}this.listenersBound=!1}}},{key:"handleKeydown",value:function(e){this._checkForModifierFlagDiscrepancies(e);var t=normalizeKeyName(getEventKey(e));!!this._getCurrentKeyState(t)||this.keyCombinationIncludesKeyUp?this._startNewKeyCombination(t,KeyEventBitmapIndex.keydown):this._addToCurrentKeyCombination(t,KeyEventBitmapIndex.keydown);var n=this.keyEventManager.reactAppHistoryWithEvent(t,KeyEventBitmapIndex.keydown);if("handled"===n);else{if("seen"===n||KeyEventCounter.incrementId(),this.eventOptions.ignoreEventsCondition(e))return;this._callHandlerIfExists(e,t,KeyEventBitmapIndex.keydown),hasKeyPressEvent(t)||(this.keyEventManager.simulatePendingKeyPressEvents(),this.handleKeypress(e))}}},{key:"handleKeypress",value:function(e){var t=normalizeKeyName(getEventKey(e)),n=this._getCurrentKeyState(t);n&&(n[KeyEventSequenceIndex.current][KeyEventBitmapIndex.keypress]||n[KeyEventSequenceIndex.current][KeyEventBitmapIndex.keyup])?this._startNewKeyCombination(t,KeyEventBitmapIndex.keypress):this._addToCurrentKeyCombination(t,KeyEventBitmapIndex.keypress);var o=this.keyEventManager.reactAppHistoryWithEvent(t,KeyEventBitmapIndex.keypress);return"handled"!==o&&("seen"===o||KeyEventCounter.incrementId(),!this.eventOptions.ignoreEventsCondition(e)&&void this._callHandlerIfExists(e,t,KeyEventBitmapIndex.keypress))}},{key:"handleKeyup",value:function(e){var t=normalizeKeyName(getEventKey(e)),n=this._getCurrentKeyState(t);n&&n[KeyEventSequenceIndex.current][KeyEventBitmapIndex.keyup]?this._startNewKeyCombination(t,KeyEventBitmapIndex.keyup):this._addToCurrentKeyCombination(t,KeyEventBitmapIndex.keyup);var o=this.keyEventManager.reactAppHistoryWithEvent(t,KeyEventBitmapIndex.keyup);return"handled"!==o&&("seen"===o||KeyEventCounter.incrementId(),!this.eventOptions.ignoreEventsCondition(e)&&void this._callHandlerIfExists(e,t,KeyEventBitmapIndex.keyup))}},{key:"_startNewKeyCombination",value:function(e,n){get(t.prototype.__proto__||Object.getPrototypeOf(t.prototype),"_startNewKeyCombination",this).call(this,e,n)}},{key:"_addToCurrentKeyCombination",value:function(e,n){get(t.prototype.__proto__||Object.getPrototypeOf(t.prototype),"_addToCurrentKeyCombination",this).call(this,e,n)}},{key:"_getComponentPosition",value:function(e){return this.componentIdDict[e]}},{key:"_getComponent",value:function(e){var t=this._getComponentPosition(e);return this.componentList[t]}},{key:"_getComponentAndPosition",value:function(e){var t=this._getComponentPosition(e);return[this.componentList[t],t]}},{key:"_callHandlerIfExists",value:function(e,t,n){this._describeCurrentKeyCombination();this.keyMapEventBitmap[n]&&this._callMatchingHandlerClosestToEventTarget(e,t,n)}},{key:"_callMatchingHandlerClosestToEventTarget",value:function(e,n,o){for(var i=0;i<this.componentList.length;i++){if(get(t.prototype.__proto__||Object.getPrototypeOf(t.prototype),"_callMatchingHandlerClosestToEventTarget",this).call(this,e,n,o,i,0))return}}},{key:"_logPrefix",value:function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=Logger.eventIcons,o=Logger.componentIcons,i="HotKeys (GLOBAL";if(!1!==t.eventId){var r=isUndefined(t.eventId)?KeyEventCounter.getId():t.eventId;i=i+"-E"+r+n[r%n.length]}return isUndefined(e)?i+"):":i+"-C"+e+o[e%o.length]+"):"}}]),t}();function isFromFocusOnlyComponent(e){return!isUndefined(e)}var KeyEventManager=function(){function e(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};classCallCheck(this,e),this.logger=t.logger||new Logger(Configuration.option("logLevel")),this._focusOnlyEventStrategy=new FocusOnlyKeyEventStrategy({configuration:t,logger:this.logger},this),this._globalEventStrategy=new GlobalKeyEventStrategy({configuration:t,logger:this.logger},this),this.lastEventSeen=null}return createClass(e,null,[{key:"getInstance",value:function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};return this.instance||(this.instance=new e(t)),this.instance}},{key:"clear",value:function(){delete this.instance}}]),createClass(e,[{key:"addHotKeys",value:function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=arguments[2];return this._focusOnlyEventStrategy.addHotKeys(e,t,n)}},{key:"updateHotKeys",value:function(e,t){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},o=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{},i=arguments[4];return this._focusOnlyEventStrategy.updateHotKeys(e,t,n,o,i)}},{key:"removeHotKeys",value:function(e,t){return this._focusOnlyEventStrategy.removeHotKeys(e,t)}},{key:"handleKeydown",value:function(e,t,n,o){if(isFromFocusOnlyComponent(t))return this._focusOnlyEventStrategy.handleKeydown(e,t,n,o);this._recordLastSeenEvent(e)}},{key:"handleKeypress",value:function(e,t,n,o){if(isFromFocusOnlyComponent(t))return this._focusOnlyEventStrategy.handleKeypress(e,t,n,o);this._recordLastSeenEvent(e)}},{key:"handleKeyup",value:function(e,t,n,o){if(isFromFocusOnlyComponent(t))return this._focusOnlyEventStrategy.handleKeyup(e,t,n,o);this._recordLastSeenEvent(e)}},{key:"_recordLastSeenEvent",value:function(e){var t=e.key,n=e.type,o=e.nativeEvent;this.lastEventSeen={key:t,type:n,nativeEvent:o}}},{key:"addGlobalHotKeys",value:function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=arguments[2],o=arguments[3];return this._globalEventStrategy.addHotKeys(e,t,n,o)}},{key:"updateGlobalHotKeys",value:function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},o=arguments[3],i=arguments[4];return this._globalEventStrategy.updateHotKeys(e,t,n,o,i)}},{key:"removeGlobalHotKeys",value:function(e){return this._globalEventStrategy.removeHotKeys(e)}},{key:"handleGlobalKeydown",value:function(e){return this._globalEventStrategy.handleKeydown(e)}},{key:"handleGlobalKeypress",value:function(e){return this._globalEventStrategy.handleKeypress(e)}},{key:"handleGlobalKeyup",value:function(e){return this._globalEventStrategy.handleKeyup(e)}},{key:"ignoreEvent",value:function(e){this._focusOnlyEventStrategy.ignoreEvent(e)}},{key:"reactAppHistoryWithEvent",value:function(e,t){var n=this._focusOnlyEventStrategy.currentEvent;return n.key===e&&n.type===t?n.handled?"handled":"seen":"unseen"}},{key:"simulatePendingKeyPressEvents",value:function(){this._focusOnlyEventStrategy.simulatePendingKeyPressEvents()}},{key:"isGlobalListenersBound",value:function(){return this._globalEventStrategy.listenersBound}}]),e}();function withHotKeys(e){var t,n,o=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};function i(e,t){return _extends({},o[e]||{},t[e]||{})}function r(e){return i("handlers",e)}function a(e){return i("keyMap",e)}return n=t=function(t){function n(e){classCallCheck(this,n);var t=possibleConstructorReturn(this,(n.__proto__||Object.getPrototypeOf(n)).call(this,e));return t._handleFocus=t._handleFocus.bind(t),t._handleBlur=t._handleBlur.bind(t),t._handleKeyDown=t._handleKeyDown.bind(t),t._handleKeyPress=t._handleKeyPress.bind(t),t._handleKeyUp=t._handleKeyUp.bind(t),t._componentIsFocused=t._componentIsFocused.bind(t),t}return inherits(n,t),createClass(n,[{key:"render",value:function(){var t=this.props,n=(t.keyMap,t.handlers,t.allowChanges,objectWithoutProperties(t,["keyMap","handlers","allowChanges"])),o={onFocus:this._wrapFunction("onFocus",this._handleFocus),onBlur:this._wrapFunction("onBlur",this._handleBlur),tabIndex:Configuration.option("defaultTabIndex")};return this._shouldBindKeyListeners()&&(o.onKeyDown=this._handleKeyDown,o.onKeyPress=this._handleKeyPress,o.onKeyUp=this._handleKeyUp),React__default.createElement(e,_extends({hotKeys:o},n))}},{key:"_shouldBindKeyListeners",value:function(){var e=a(this.props);return!isEmpty(e)||Configuration.option("enableHardSequences")&&this._handlersIncludeHardSequences(e,r(this.props))}},{key:"_handlersIncludeHardSequences",value:function(e,t){return Object.keys(t).some(function(t){return!e[t]&&KeyCombinationSerializer.isValidKeySerialization(t)})}},{key:"_wrapFunction",value:function(e,t){var n=this;return"function"==typeof this.props[e]?function(o){n.props[e](o),t(o)}:t}},{key:"_focusTreeIdsPush",value:function(e){this._focusTreeIds||(this._focusTreeIds=[]),this._focusTreeIds.push(e)}},{key:"_focusTreeIdsShift",value:function(){this._focusTreeIds&&this._focusTreeIds.shift()}},{key:"_getFocusTreeId",value:function(){if(this._focusTreeIds)return this._focusTreeIds[0]}},{key:"componentDidUpdate",value:function(e){if(this._componentIsFocused()&&(this.props.allowChanges||!Configuration.option("ignoreKeymapAndHandlerChangesByDefault"))){var t=this.props,n=t.keyMap,o=t.handlers;KeyEventManager.getInstance().updateHotKeys(this._getFocusTreeId(),this._componentId,n,o,this._getComponentOptions())}}},{key:"componentWillUnmount",value:function(){this._handleBlur()}},{key:"_componentIsFocused",value:function(){return!0===this._focused}},{key:"_handleFocus",value:function(){var e;this.props.onFocus&&(e=this.props).onFocus.apply(e,arguments);var t=KeyEventManager.getInstance().addHotKeys(a(this.props),r(this.props),this._getComponentOptions()),n=slicedToArray(t,2),o=n[0],i=n[1];this._componentId=i,this._focusTreeIdsPush(o),this._focused=!0}},{key:"_handleBlur",value:function(){var e;this.props.onBlur&&(e=this.props).onBlur.apply(e,arguments);KeyEventManager.getInstance().removeHotKeys(this._getFocusTreeId(),this._componentId)||this._focusTreeIdsShift(),this._focused=!1}},{key:"_handleKeyDown",value:function(e){KeyEventManager.getInstance().handleKeydown(e,this._getFocusTreeId(),this._componentId,this._getEventOptions())&&this._focusTreeIdsShift()}},{key:"_handleKeyPress",value:function(e){KeyEventManager.getInstance().handleKeypress(e,this._getFocusTreeId(),this._componentId,this._getEventOptions())&&this._focusTreeIdsShift()}},{key:"_handleKeyUp",value:function(e){KeyEventManager.getInstance().handleKeyup(e,this._getFocusTreeId(),this._componentId,this._getEventOptions())&&this._focusTreeIdsShift()}},{key:"_getComponentOptions",value:function(){return{defaultKeyEvent:Configuration.option("defaultKeyEvent")}}},{key:"_getEventOptions",value:function(){return{ignoreEventsCondition:Configuration.option("ignoreEventsCondition")}}}]),n}(React.PureComponent),t.propTypes={keyMap:PropTypes.object,handlers:PropTypes.object,onFocus:PropTypes.func,onBlur:PropTypes.func,allowChanges:PropTypes.bool},n}var HotKeysWrapper=function(e){function t(){return classCallCheck(this,t),possibleConstructorReturn(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return inherits(t,e),createClass(t,[{key:"render",value:function(){var e=this.props,t=e.hotKeys,n=objectWithoutProperties(e,["hotKeys"]),o=n.component||Configuration.option("defaultComponent");return React__default.createElement(o,_extends({},t,n))}}]),t}(React.Component),HotKeys=withHotKeys(HotKeysWrapper);function withHotKeysIgnore(e){var t,n,o=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{only:[],except:[]};return n=t=function(t){function n(e){classCallCheck(this,n);var t=possibleConstructorReturn(this,(n.__proto__||Object.getPrototypeOf(n)).call(this,e));return t._handleKeyEvent=t._handleKeyEvent.bind(t),t._reloadDictionaries=t._reloadDictionaries.bind(t),t}return inherits(n,t),createClass(n,[{key:"getDefaultProps",value:function(){return o}}]),createClass(n,[{key:"render",value:function(){var t=this.props,n=(t.only,t.except,objectWithoutProperties(t,["only","except"])),o={onKeyDown:this._handleKeyEvent,onKeyPress:this._handleKeyEvent,onKeyUp:this._handleKeyEvent,onFocus:this._reloadDictionaries};return React__default.createElement(e,_extends({hotKeys:o},n))}},{key:"_reloadDictionaries",value:function(){var e=this.props,t=e.only,n=e.except;this._onlyDict=keyDictionary(t),this._exceptDict=keyDictionary(n)}},{key:"_shouldIgnoreEvent",value:function(e){var t=e.key;return isEmpty(this._onlyDict)?!!isEmpty(this._exceptDict)||!this._exceptDict[t]:isEmpty(this._exceptDict)?this._onlyDict[t]:this._onlyDict[t]&&!this._exceptDict[t]}},{key:"_handleKeyEvent",value:function(e){this._shouldIgnoreEvent(e)&&KeyEventManager.getInstance().ignoreEvent(e)}}]),n}(React.PureComponent),t.propTypes={only:PropTypes.oneOfType([PropTypes.string,PropTypes.arrayOf(PropTypes.string)]),except:PropTypes.oneOfType([PropTypes.string,PropTypes.arrayOf(PropTypes.string)])},n}function keyDictionary(e){return arrayFrom(e).reduce(function(e,t){var n=standardizeKeyName(t);if(!isValidKey(n))throw new InvalidKeyNameError(t);return[resolveAltShiftedAlias,resolveUnaltShiftedAlias,resolveShiftedAlias,resolveUnshiftedAlias,resolveAltedAlias,resolveUnaltedAlias].forEach(function(t){e[t(n)]=!0}),e},{})}var HotKeysIgnore=function(e){function t(){return classCallCheck(this,t),possibleConstructorReturn(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return inherits(t,e),createClass(t,[{key:"render",value:function(){var e=this.props,t=e.hotKeys,n=objectWithoutProperties(e,["hotKeys"]),o=n.component||Configuration.option("defaultComponent");return React__default.createElement(o,_extends({},t,n))}}]),t}(React.Component),HotKeysIgnore$1=withHotKeysIgnore(HotKeysIgnore),GlobalHotKeys=function(e){function t(){return classCallCheck(this,t),possibleConstructorReturn(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return inherits(t,e),createClass(t,[{key:"render",value:function(){return this.props.children||null}},{key:"componentDidUpdate",value:function(){if(this.props.allowChanges||!Configuration.option("ignoreKeymapAndHandlerChangesByDefault")){var e=this.props,t=e.keyMap,n=e.handlers;KeyEventManager.getInstance().updateGlobalHotKeys(this._id,t,n,this._getComponentOptions(),this._getEventOptions())}}},{key:"componentDidMount",value:function(){var e=this.props,t=e.keyMap,n=e.handlers;this._id=KeyEventManager.getInstance().addGlobalHotKeys(t,n,this._getComponentOptions(),this._getEventOptions())}},{key:"componentWillUnmount",value:function(){KeyEventManager.getInstance().removeGlobalHotKeys(this._id)}},{key:"_getComponentOptions",value:function(){return{defaultKeyEvent:Configuration.option("defaultKeyEvent")}}},{key:"_getEventOptions",value:function(){return{ignoreEventsCondition:Configuration.option("ignoreEventsCondition")}}}]),t}(React.Component);function configure(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};Configuration.init(e)}GlobalHotKeys.propTypes={keyMap:PropTypes.object,handlers:PropTypes.object,onFocus:PropTypes.func,onBlur:PropTypes.func,allowChanges:PropTypes.bool},exports.HotKeys=HotKeys,exports.HotKeysIgnore=HotKeysIgnore$1,exports.withHotKeysIgnore=withHotKeysIgnore,exports.GlobalHotKeys=GlobalHotKeys,exports.withHotKeys=withHotKeys,exports.configure=configure;
